[151027] contrib

raimue at macports.org raimue at macports.org
Fri Aug 5 10:28:07 PDT 2016


Revision: 151027
          https://trac.macports.org/changeset/151027
Author:   raimue at macports.org
Date:     2016-08-05 10:28:07 -0700 (Fri, 05 Aug 2016)
Log Message:
-----------
buildbot:
Invoke subports.tcl via mpbb to ensure it has the correct PORTSRC in the environment

Modified Paths:
--------------
    contrib/buildbot-test/master.cfg

Added Paths:
-----------
    contrib/mp-buildbot/mpbb-subports

Modified: contrib/buildbot-test/master.cfg
===================================================================
--- contrib/buildbot-test/master.cfg	2016-08-05 17:25:43 UTC (rev 151026)
+++ contrib/buildbot-test/master.cfg	2016-08-05 17:28:07 UTC (rev 151027)
@@ -307,7 +307,7 @@
         haltOnFailure=True))
 
     portwatcher_factory.addStep(SetPropertyFromCommandWithPortlist(
-        command=WithProperties('for portname in %(fullportlist)s; do for subport in `./mpbb/tools/subports.tcl $portname`; do echo $subport; done; done' ),
+        command=WithProperties('for portname in %(fullportlist)s; do for subport in $(./mpbb/mpbb subports --port "$portname"); do echo $subport; done; done'),
         property="subportlist",
         name="subports",
         description="subports"))

Added: contrib/mp-buildbot/mpbb-subports
===================================================================
--- contrib/mp-buildbot/mpbb-subports	                        (rev 0)
+++ contrib/mp-buildbot/mpbb-subports	2016-08-05 17:28:07 UTC (rev 151027)
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+# Note:
+# This script is sourced by the its wrapper script.
+# Do not execute this directly!
+
+
+subports-help() {
+    echo "Determine subports for the port given by the --port option."
+}
+
+subports() {
+    if [ -z "${option_port}" ]; then
+        errmsg "--port is required"
+        return 1
+    fi
+
+    status=0
+    PREFIX=${option_prefix} $thisdir/tools/subports.tcl "${option_port}" || status=$?
+
+    return $status
+}
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.macosforge.org/pipermail/macports-changes/attachments/20160805/c8b63613/attachment.html>


More information about the macports-changes mailing list